import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:queuedisplay/model/error_msg_model.dart';
import 'package:queuedisplay/model/layanan_dokter.dart';

import '../model/service_model.dart';

final allServiceProvider = StateProvider<List<Layanan>>(
  (ref) => List.empty(),
);
final allServiceDoctorProvider = StateProvider<List<LayananDokter>>(
  (ref) => List.empty(),
);
final errorListMsgProvider = StateProvider<List<ErrorMsgModel>>(
  (ref) => List.empty(growable: true),
);
